Cisco IOS XR Software Arbitrary File Read and Write (cisco-sa-iosxr-scp-inject-QwZOCv2)

high Nessus Plugin ID 153208
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote device is missing a vendor-supplied security patch

Description

According to its self-reported version, Cisco IOS XR is affected by an arbitrary file read and write vulnerability in its SSH server process due to insufficient input validation of user supplied input. An authenticated, remote attacker can exploit this, by specifying specific SCP parameters when authenticating to a device, to read or write arbitrary files.

Please see the included Cisco BIDs and Cisco Security Advisory for more information.

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug ID CSCvx48017

See Also

http://www.nessus.org/u?4c358fbe

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvx48017

Plugin Details

Severity: High

ID: 153208

File Name: cisco-sa-iosxr-scp-inject-QwZOCv2-iosxr.nasl

Version: 1.4

Type: combined

Family: CISCO

Published: 9/10/2021

Updated: 9/13/2021

Dependencies: cisco_ios_xr_version.nasl

Risk Information

CVSS Score Source: CVE-2021-34718

VPR

Risk Factor: Medium

Score: 6

CVSS v2

Risk Factor: High

Base Score: 8.5

Temporal Score: 6.3

Vector: AV:N/AC:L/Au:S/C:C/I:C/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.1

Temporal Score: 7.1

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:ios_xr

Required KB Items: Host/Cisco/IOS-XR/Version, Host/Cisco/IOS-XR/Model

Exploit Ease: No known exploits are available

Patch Publication Date: 9/8/2021

Vulnerability Publication Date: 9/8/2021

Reference Information

CVE: CVE-2021-34718

CISCO-BUG-ID: CSCvx48017

CISCO-SA: cisco-sa-iosxr-scp-inject-QwZOCv2

IAVA: 2021-A-0407